/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2018-10-10 14:44:45
 * @LastEditors: 无尘
 * @LastEditTime: 2018-10-10 14:44:45
 */
/**
 * 判断字符长度
 * @param: str
 */

export default {
  /**
   * 一个汉字算两个字符,一个英文字母或数字算一个字符
   * @param {string} val
   * @return {number}
   */
  getByteLen: function(val) {
    let valStr = val == '' || val == null ? '' : val;
    let len = 0;
    for (let i = 0; i < valStr.length; i++) {
      let a = valStr.charAt(i);
      if (a.match(/[^\x00-\xff]/gi) != null) {
        len += 2;
      } else {
        len += 1;
      }
    }
    return len;
  },
  /**
   * 一个汉字算一个字,一个英文字母或数字算半个字
   * @param {string} val
   * @return {number}
   */
  getZhLen: function(val) {
    let valStr = val == '' || val == null ? '' : val;
    let len = 0;
    for (let i = 0; i < valStr.length; i++) {
      let a = valStr.charAt(i);
      if (a.match(/[^\x00-\xff]/gi) != null) {
        len += 1;
      } else {
        len += 0.5;
      }
    }
    return Math.ceil(len);
  },

  /* 暂无用*/
  cutStr: function(str, len, type) {
    let charLength = 0;
    for (let i = 0; i < str.length; i++) {
      let sonStr = str.charAt(i);
      if (type == 1) {
        encodeURI(sonStr).length > 2 ? (charLength += 1) : (charLength += 0.5);
      }
      if (type == 2) {
        charLength += 1;
      }
      if (charLength >= len) {
        let subLen = charLength == len ? i + 1 : i;
        return str.substr(0, subLen);
      }
    }
  },

  /**
   * 限制字数用, 一个汉字算一个字,两个英文/字母算一个字
   * @param {string} val
   * @param {number} max
   * @return {string}
   */
  getByteVal: function(val, max) {
    let valStr = val == '' || val == null ? '' : val;
    let returnValue = '';
    let byteValLen = 0;
    for (let i = 0; i < valStr.length; i++) {
      if (valStr[i].match(/[^\x00-\xff]/gi) != null) byteValLen += 1;
      else byteValLen += 0.5;
      if (byteValLen > max) break;
      returnValue += valStr[i];
    }
    return returnValue;
  },

  /**
   * 限制字符数用, 一个汉字算两个字符,一个英文/字母算一个字符
   * @param {string} val
   * @param {number} max
   * @return {string}
   */
  getCharVal: function(val, max) {
    let valStr = val == '' || val == null ? '' : val;
    let returnValue = '';
    let byteValLen = 0;
    for (let i = 0; i < valStr.length; i++) {
      if (valStr[i].match(/[^\x00-\xff]/gi) != null) byteValLen += 2;
      else byteValLen += 1;
      if (byteValLen > max) break;
      returnValue += valStr[i];
    }
    return returnValue;
  },

  /**
   * 正则校验,校验非负数字
   * @param {string|number} v
   * @return {boolean}
   */
  regPos: function(v) {
    let regTest = /^\d+(\.\d+)?$/;
    return regTest.test(v);
  }
};
