/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-16 16:37:05
 * @LastEditors: 无尘
 * @LastEditTime: 2020-11-13 16:37:01
 */
import Layout from '@/layout/layout.vue';

export const routes = [
  {
    path: '/',
    component: Layout,
    redirect: '/enterprise-list',
    children: [
      {
        path: '/enterprise-list',
        meta: { title: '企业管理' },
        component: () => import('@/views/enterprise/enterprise-list.vue')
      },
      {
        path: '/enterprise-detail',
        meta: { title: '企业详情' },
        component: () => import('@/views/enterprise/enterprise-detail.vue')
      },
      {
        path: '/menu-config',
        meta: { title: '菜单配置' },
        component: () => import('@/views/permission/menu-config.vue')
      },
      {
        path: '/permission-list',
        meta: { title: '权限项列表' },
        component: () => import('@/views/permission/permission-list.vue')
      },
      {
        path: '/operation-list',
        meta: { title: '操作项列表' },
        component: () => import('@/views/permission/operation-list.vue')
      },
      {
        path: '/dictionary-list',
        meta: { title: '字典管理' },
        component: () => import('@/views/dictionary/dictionary-list.vue')
      },
      {
        path: '/create-dictionary',
        meta: { title: '新建、编辑字典' },
        component: () => import('@/views/dictionary/create-dictionary.vue')
      },
      {
        path: '/project-sql',
        meta: {
          title: '项目列表'
        },
        component: () => import('@/views/sql/project-sql.vue')
      },
      {
        path: '/table-sql',
        meta: {
          title: '表列表'
        },
        component: () => import('@/views/sql/table-sql.vue')
      },
      {
        path: '/sql-list',
        meta: {
          title: 'sql列表'
        },
        component: () => import('@/views/sql/sql-list.vue')
      },
      {
        path: '/current-account',
        meta: {
          title: '当前试用'
        },
        component: () => import('@/views/account/current-account.vue')
      },
      {
        path: '/history-account',
        meta: {
          title: '历史试用'
        },
        component: () => import('@/views/account/history-account.vue')
      }
    ]
  },
  {
    path: '/403',
    meta: { title: '无权访问' },
    component: () => import('@/views/error-page/index.vue')
  },
  {
    path: '/404',
    meta: { title: 'error404' },
    component: () => import('@/views/error-page/index.vue')
  },
  {
    path: '/500',
    meta: { title: 'error500' },
    component: () => import('@/views/error-page/index.vue')
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
];
